--- title: "DeleteMigrationJob" slug: "deletemigrationjob" updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/deletemigrationjob" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # DeleteMigrationJob Available in Classic and VPC Delete the migration policy. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | DELETE | /migration-api/v1/policy/{title} | ### Request headers For information about the headers common to all Object Migration APIs, see [Object Migration request headers](/docs/en/objectmigrationoverview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `title` | String | Required | Migration policy name - See [GetMigrationJobList](/docs/en/getmigrationjoblist). | ### Request example The request example is as follows: ``` curl --location --request DELETE 'https://objectmigration.apigw.ntruss.com/migration-api/v1/policy/migrationpolicy' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'x-ncp-region_code: KR' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `title` | String | - | Migration policy name | | `sourceBucketName` | String | - | Source bucket name | | `sourceRegionName` | String | - | Source Region code | | `sourceCspType` | String | - | Source CSP type - `AWS` \| `Azure` | | `sourceEndpoint` | String | - | Source endpoint | | `sourcePrefix` | String | - | Source data prefix - Detailed path and separator in the bucket | | `targetBucketName` | String | - | Target bucket name | | `targetRegionName` | String | - | Target Region code | | `targetEndpoint` | String | - | Target endpoint | | `targetPrefix` | String | - | Prefix - Detailed path and separator in the bucket | | `jobState` | String | - | Job status - `INITIALIZED` \| `STARTED` \| `PAUSED` \| `DELETED` \| `DONE` \| `ERROR` - `INITIALIZED`: Ready - `STARTED`: Migrating - `PAUSED`: Stopped - `DELETED`: Deleted - `DONE`: Completed - `ERROR`: Error | | `createTime` | String | - | Policy creation date and time - ISO 8601 format | | `updateTime` | String | - | Policy update date and time - ISO 8601 format | | `estimatedDone` | Boolean | - | Source object listing completion status - `true` \| `false` - `true`: Complete - `false`: Incomplete | | `estimatedSize` | Number | - | Total capacity of source data | | `migratedSize` | Number | - | Migrated data capacity | | `skippedSize` | Integer | - | Unmigrated data capacity | | `estimatedObjectNum` | Integer | - | Source object count | | `migratedObjectNum` | Integer | - | Migrated object count | | `skippedObjectNum` | Integer | - | Unmigrated object count | ### Response status codes For information about the HTTP status codes common to all Object Migration APIs, see [Object Migration response status codes](/docs/en/objectmigrationoverview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "title": "migrationpolicy", "sourceBucketName": "migration135", "sourceRegionName": "ap-southeast-2", "sourceCspType": "AWS", "sourceEndpoint": "https://s3.ap-southeast-2.amazonaws.com", "sourcePrefix": "", "targetBucketName": "migrationbucket", "targetRegionName": "KR", "targetEndpoint": "https://kr.object.ncloudstorage.com", "targetPrefix": "data/", "jobState": "DELETED", "createTime": "2025-07-15T00:32:36.480+00:00", "updateTime": "2025-07-15T01:39:42.238+00:00", "estimatedDone": false, "estimatedSize": 0, "migratedSize": 0, "skippedSize": 0, "estimatedObjectNum": 0, "migratedObjectNum": 0, "skippedObjectNum": 0 } ```